be.fgov.ehealth.dics.protocol.v5

## Class FindByCompanyType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.FindByCompanyType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:57:43+01:00",
                 comments="JAXB RI v2.3.7")
      public class FindByCompanyType
      extends Object
      implements Serializable

  Java class for FindByCompanyType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FindByCompanyType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="CompanyActorNr" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="AnyNamePart" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="VatNr" type="{urn:be:fgov:ehealth:dics:protocol:v5}VatNrPerCountryType"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindByCompanyType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnyNamePart()` Gets the value of the anyNamePart property.
    `String` | `getCompanyActorNr()` Gets the value of the companyActorNr property.
    `VatNrPerCountryType` | `getVatNr()` Gets the value of the vatNr property.
    `void` | `setAnyNamePart(String value)` Sets the value of the anyNamePart property.
    `void` | `setCompanyActorNr(String value)` Sets the value of the companyActorNr property.
    `void` | `setVatNr(VatNrPerCountryType value)` Sets the value of the vatNr property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindByCompanyType

          public FindByCompanyType()

  - ### Method Detail

    - #### getVatNr

          public VatNrPerCountryType getVatNr()

      Gets the value of the vatNr property.
      Returns:
        possible object is `VatNrPerCountryType`

    - #### setVatNr

          public void setVatNr(VatNrPerCountryType value)

      Sets the value of the vatNr property.
      Parameters:
        `value` - allowed object is `VatNrPerCountryType`

    - #### getAnyNamePart

          public String getAnyNamePart()

      Gets the value of the anyNamePart property.
      Returns:
        possible object is `String`

    - #### setAnyNamePart

          public void setAnyNamePart(String value)

      Sets the value of the anyNamePart property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCompanyActorNr

          public String getCompanyActorNr()

      Gets the value of the companyActorNr property.
      Returns:
        possible object is `String`

    - #### setCompanyActorNr

          public void setCompanyActorNr(String value)

      Sets the value of the companyActorNr property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.